"""
 Copyright 2023. Aubin Ramon and Pietro Sormanni. CC BY-NC-SA 4.0
"""

# List of idx in the AHo numbering
cdr1_aho_indices, cdr2_aho_indices, cdr3_aho_indices = (
    range(27, 43),
    range(57, 70),
    range(108, 139),
)
fr_aho_indices = (
    list(range(1, 27))
    + list(range(43, 57))
    + list(range(70, 108))
    + list(range(139, 150))
)

# Seed consensus 149-long
VH_consensus_no_gaps = "QVQLVESSGGGLVQPGGSLRLSCAASGGFTFSSSTLSGYYMHWVRQAPGKGLEWVGYISPSAGNGGSTYYADSVKGRFTISRDNSKNTAYLQMNSLRSEDTAVYYCARDGGYYGSDGGVAYYAADFFGEYYYYYYFDYWGQGTLVTVSS"
VH_conservation_index = [
    0.649,
    0.871,
    0.828,
    0.946,
    0.556,
    0.725,
    0.859,
    0.256,
    0.916,
    0.525,
    0.612,
    0.709,
    0.717,
    0.602,
    0.873,
    0.758,
    0.394,
    0.76,
    0.666,
    0.536,
    0.675,
    0.739,
    1.015,
    0.473,
    0.678,
    0.835,
    0.865,
    0.254,
    0.498,
    0.484,
    0.655,
    0.421,
    0.298,
    0.241,
    0.256,
    0.256,
    0.25,
    0.229,
    0.592,
    0.252,
    0.59,
    0.359,
    1.002,
    0.676,
    0.833,
    0.937,
    0.543,
    0.929,
    0.815,
    0.699,
    0.628,
    0.797,
    0.933,
    0.849,
    0.534,
    0.534,
    0.129,
    0.867,
    0.272,
    0.333,
    0.141,
    0.243,
    0.253,
    0.244,
    0.303,
    0.519,
    0.189,
    0.59,
    0.321,
    0.903,
    0.505,
    0.466,
    0.52,
    0.545,
    0.717,
    0.663,
    0.808,
    0.556,
    0.777,
    0.716,
    0.618,
    0.522,
    0.926,
    0.472,
    0.619,
    0.528,
    0.614,
    0.658,
    0.45,
    0.719,
    0.747,
    0.634,
    0.643,
    0.518,
    0.708,
    0.805,
    0.508,
    0.404,
    0.754,
    0.987,
    0.786,
    0.912,
    0.601,
    0.962,
    0.823,
    1.015,
    0.727,
    0.627,
    0.161,
    0.142,
    0.139,
    0.157,
    0.126,
    0.135,
    0.166,
    0.205,
    0.213,
    0.235,
    0.247,
    0.251,
    0.257,
    0.257,
    0.258,
    0.258,
    0.257,
    0.257,
    0.252,
    0.244,
    0.231,
    0.212,
    0.189,
    0.164,
    0.156,
    0.201,
    0.214,
    0.472,
    0.691,
    0.537,
    0.981,
    0.922,
    0.814,
    0.924,
    0.897,
    0.444,
    0.863,
    0.916,
    0.945,
    0.892,
    0.795,
]

# old mixed of kappa and lambda no longer sure of which species but likely human
VL_consensus_no_gaps = "DIVMTQSPSSLSASPGDRVTISCRASSSQSISSSNNGNNYLAWYQQKPGQAPKLLIYGKSAAAADSASNRASGVPDRFSGSGSGSGTDFTLTISSLQAEDFATYYCQQYDSSLSSFAAAAAAAAAAAAAFGGESSPYTFGGGTKLEIKR"
VL_conservation_index = [
    0.605,
    0.634,
    0.576,
    0.667,
    0.905,
    0.968,
    0.563,
    0.708,
    0.322,
    0.563,
    0.657,
    0.635,
    0.473,
    0.68,
    0.512,
    0.927,
    0.532,
    0.548,
    0.672,
    0.682,
    0.705,
    0.54,
    1.016,
    0.553,
    0.564,
    0.627,
    0.211,
    0.222,
    0.571,
    0.435,
    0.561,
    0.209,
    0.193,
    0.208,
    0.238,
    0.259,
    0.243,
    0.217,
    0.363,
    0.525,
    0.559,
    0.415,
    1.02,
    0.852,
    0.836,
    0.881,
    0.752,
    0.846,
    0.823,
    0.499,
    0.496,
    0.914,
    0.621,
    0.765,
    0.819,
    0.918,
    0.806,
    0.201,
    0.264,
    0.262,
    0.265,
    0.265,
    0.265,
    0.265,
    0.264,
    0.229,
    0.507,
    0.657,
    0.347,
    0.615,
    0.329,
    0.604,
    0.921,
    0.767,
    0.906,
    0.464,
    0.987,
    0.993,
    0.763,
    0.915,
    0.847,
    0.663,
    0.813,
    0.765,
    0.259,
    0.243,
    0.742,
    0.598,
    0.697,
    0.644,
    0.921,
    0.661,
    0.965,
    0.633,
    0.401,
    0.626,
    0.643,
    0.464,
    0.87,
    0.993,
    0.427,
    0.792,
    0.444,
    0.975,
    0.816,
    1.016,
    0.584,
    0.65,
    0.338,
    0.246,
    0.241,
    0.2,
    0.252,
    0.264,
    0.265,
    0.265,
    0.265,
    0.265,
    0.265,
    0.265,
    0.265,
    0.265,
    0.265,
    0.265,
    0.265,
    0.265,
    0.265,
    0.265,
    0.265,
    0.265,
    0.265,
    0.265,
    0.263,
    0.221,
    0.159,
    0.569,
    0.284,
    0.698,
    0.991,
    0.935,
    0.477,
    0.938,
    0.941,
    0.876,
    0.678,
    0.733,
    0.654,
    0.766,
    0.753,
]

VKappa_consensus_no_gaps = "DIVMTQSPDSLSVSPGERATISCRAS-SQSISHSSNGKSYLAWYQQKPGQAPKLLIYYASNARFSLASTRASGVPSRFSGSGSGGGTDFTLTISSLEAEDFAVYYCQQYSSWPPFTP------------RDTPPLPLTFGQGTKVEIK-"
VKappa_conservation_index = [
    0.684,
    0.806,
    0.684,
    0.689,
    0.911,
    0.911,
    0.752,
    0.945,
    0.362,
    0.461,
    0.695,
    0.645,
    0.625,
    0.568,
    0.629,
    0.782,
    0.635,
    0.587,
    0.67,
    0.643,
    0.756,
    0.499,
    1.015,
    0.725,
    0.663,
    0.635,
    0.263,
    0.238,
    0.916,
    0.649,
    0.552,
    0.339,
    0.279,
    0.264,
    0.22,
    0.3,
    0.288,
    0.259,
    0.452,
    0.543,
    0.858,
    0.493,
    1.0,
    0.918,
    0.77,
    0.93,
    0.912,
    0.94,
    0.783,
    0.677,
    0.517,
    0.882,
    0.532,
    0.806,
    0.866,
    0.939,
    0.715,
    0.281,
    0.263,
    0.263,
    0.263,
    0.263,
    0.263,
    0.263,
    0.263,
    0.225,
    0.74,
    0.784,
    0.39,
    0.566,
    0.389,
    0.553,
    0.928,
    0.731,
    0.929,
    0.459,
    0.97,
    0.958,
    0.855,
    0.929,
    0.855,
    0.928,
    0.783,
    0.705,
    0.263,
    0.289,
    0.926,
    0.816,
    0.969,
    0.92,
    0.907,
    0.741,
    0.956,
    0.66,
    0.564,
    0.681,
    0.674,
    0.533,
    0.933,
    0.976,
    0.53,
    0.766,
    0.561,
    0.97,
    0.881,
    1.015,
    0.566,
    0.914,
    0.394,
    0.273,
    0.428,
    0.244,
    0.262,
    0.263,
    0.263,
    0.263,
    0.263,
    0.263,
    0.263,
    0.263,
    0.263,
    0.263,
    0.263,
    0.263,
    0.263,
    0.263,
    0.263,
    0.263,
    0.263,
    0.263,
    0.263,
    0.263,
    0.263,
    0.246,
    0.28,
    0.638,
    0.292,
    0.843,
    0.972,
    0.942,
    0.638,
    0.94,
    0.94,
    0.879,
    0.703,
    0.887,
    0.955,
    0.985,
    0.263,
]

VLambda_consensus_no_gaps = "QSVLTQP-PSVSVSPGQTVTLTCTGSSAGSVGSDL-AGYYVSWYQQKPGQAPRLLIYENSGS-SDGDNNRPSGVPDRFSGSKSGSSNTASLTISGLQAEDEADYYCQSYDSSLSGLS-----------ADGFSLSAWVFGGGTKLTVLL"  # ovwrite with edited
VLambda_conservation_index = [
    0.736,
    0.275,
    0.591,
    0.75,
    0.904,
    0.931,
    0.631,
    0.274,
    0.63,
    0.823,
    0.501,
    0.734,
    0.422,
    0.615,
    0.763,
    0.832,
    0.437,
    0.505,
    0.653,
    0.589,
    0.648,
    0.59,
    1.018,
    0.498,
    0.461,
    0.448,
    0.495,
    0.274,
    0.407,
    0.28,
    0.483,
    0.307,
    0.336,
    0.274,
    0.274,
    0.274,
    0.274,
    0.184,
    0.511,
    0.498,
    0.478,
    0.305,
    0.987,
    0.684,
    0.94,
    0.929,
    0.424,
    0.888,
    0.812,
    0.398,
    0.599,
    0.963,
    0.484,
    0.464,
    0.635,
    0.667,
    0.74,
    0.258,
    0.277,
    0.221,
    0.274,
    0.274,
    0.274,
    0.274,
    0.304,
    0.201,
    0.385,
    0.439,
    0.396,
    0.69,
    0.537,
    0.736,
    0.793,
    0.616,
    0.805,
    0.519,
    0.987,
    0.928,
    0.855,
    0.834,
    0.852,
    0.417,
    0.488,
    0.667,
    0.239,
    0.222,
    0.609,
    0.362,
    0.721,
    0.381,
    0.944,
    0.696,
    0.848,
    0.624,
    0.75,
    0.631,
    0.805,
    0.414,
    0.81,
    0.984,
    0.993,
    0.843,
    0.863,
    0.971,
    0.952,
    1.018,
    0.35,
    0.316,
    0.592,
    0.462,
    0.459,
    0.389,
    0.25,
    0.274,
    0.274,
    0.274,
    0.274,
    0.274,
    0.274,
    0.274,
    0.274,
    0.274,
    0.274,
    0.274,
    0.274,
    0.274,
    0.274,
    0.274,
    0.274,
    0.274,
    0.274,
    0.274,
    0.27,
    0.201,
    0.256,
    0.204,
    0.387,
    0.905,
    0.999,
    0.918,
    0.788,
    0.917,
    0.942,
    0.956,
    0.82,
    0.934,
    0.963,
    0.955,
    0.274,
]

VHH_consensus_no_gaps = "QVQLQESGGGGLVQAGGSLRLSCAASGSRTFSSYFGDTYAMGWFRQAPGKEREFVAAISSSGSSGGSTYYADSVKGRFTISRDNAKNTVYLQMNSLKPEDTAVYYCAAGRGGSGSSGYCGVAAAAIHAAYTSPGEYDYWGQGTQVTVSS"
VHH_conservation_index = [
    0.741,
    0.917,
    0.826,
    0.957,
    0.627,
    0.826,
    0.888,
    0.26,
    0.912,
    0.901,
    0.887,
    0.713,
    0.923,
    0.913,
    0.627,
    0.902,
    0.811,
    0.906,
    0.962,
    0.87,
    0.949,
    0.871,
    1.013,
    0.713,
    0.782,
    0.874,
    0.733,
    0.26,
    0.32,
    0.512,
    0.507,
    0.474,
    0.21,
    0.255,
    0.259,
    0.26,
    0.255,
    0.252,
    0.485,
    0.244,
    0.736,
    0.543,
    1.007,
    0.643,
    0.961,
    0.923,
    0.803,
    0.965,
    0.885,
    0.863,
    0.656,
    0.819,
    0.933,
    0.425,
    0.881,
    0.649,
    0.249,
    0.802,
    0.316,
    0.304,
    0.205,
    0.257,
    0.258,
    0.249,
    0.493,
    0.463,
    0.264,
    0.706,
    0.398,
    0.903,
    0.63,
    0.835,
    0.817,
    0.858,
    0.885,
    0.874,
    0.963,
    0.97,
    0.884,
    0.9,
    0.878,
    0.762,
    0.952,
    0.782,
    0.783,
    0.834,
    0.805,
    0.825,
    0.644,
    0.811,
    0.956,
    0.853,
    0.969,
    0.839,
    0.699,
    0.941,
    0.816,
    0.84,
    0.948,
    0.987,
    0.933,
    0.892,
    0.659,
    0.969,
    0.827,
    1.013,
    0.637,
    0.511,
    0.159,
    0.132,
    0.083,
    0.101,
    0.089,
    0.113,
    0.136,
    0.177,
    0.218,
    0.247,
    0.258,
    0.259,
    0.26,
    0.26,
    0.26,
    0.26,
    0.26,
    0.26,
    0.259,
    0.253,
    0.239,
    0.208,
    0.156,
    0.141,
    0.15,
    0.106,
    0.161,
    0.432,
    0.38,
    0.639,
    0.887,
    0.904,
    0.877,
    0.912,
    0.954,
    0.858,
    0.951,
    0.955,
    0.947,
    0.898,
    0.873,
]
